/*
 * Mimas conversion tools
 *
 * Copyright (C) 2010-2012 Benjamin Moody
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

void *xrealloc(void *p, unsigned long sz);
#define xnew(t, n) ((t *) xrealloc(0, (n) * sizeof(t)))
#define xrenew(t, p, n) ((t *) xrealloc((p), (n) * sizeof(t)))
#define xfree(p) (xrealloc((p), 0))

char *xstrdup(const char *s);
char *xstrndup(const char *s, int n);

char *read_line(FILE *inf);

int prompt_overwrite(const char *filename);
